<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xmgps.tsms.auth.api.mapper.TaskConfigRetryLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.TaskConfigRetryLog">
        <id column="id" property="id"/>
        <result column="message_id" property="messageId"/>
        <result column="name" property="name"/>
        <result column="type" property="type"/>
        <result column="start_time" property="startTime"/>
        <result column="end_time" property="endTime"/>
        <result column="all_pointer_time" property="allPointerTime"/>
        <result column="page_size" property="pageSize"/>
        <result column="spilt_period" property="spiltPeriod"/>
        <result column="inc_pointer_time" property="incPointerTime"/>
        <result column="param" property="param"/>
        <result column="state" property="state"/>
        <result column="last_error_msg" property="lastErrorMsg"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
                id, message_id, name, type, start_time, end_time, all_pointer_time, page_size, spilt_period, inc_pointer_time, param, state, last_error_msg, create_time, update_time
            </sql>

</mapper>
